jQuery(document).ready(function($) {

    // Check if user is logged in
    if (typeof squid_userdata !== 'undefined') {

        // AJAX request to WordPress
        $.ajax({
            url: squid_ajax_object.ajax_url,
            type: 'POST',
            data: {
                'action': 'send_squid_data',
                'email': squid_userdata.email,
                'first_name': squid_userdata.first_name,
                'last_name': squid_userdata.last_name
            },
            success: function(response) {
                console.log(response);
            },
            error: function(error) {
                console.log('Failed to send user data:', error);
            }
        });
    }
});
